<?php
/* @var $this HrdDutyLetterController */
/* @var $model HrdDutyLetter */

$this->breadcrumbs=array(
    'Duty Letter',
);

$this->menu=array(
//	array('label'=>'List HrdDutyLetter', 'url'=>array('index')),
//	array('label'=>'Create HrdDutyLetter', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('hrd-duty-letter-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Duty Letters</h1>

<p>
    You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
    or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php //echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
    <?php $this->renderPartial('_search',array(
        'model'=>$model,
    )); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
    'id'=>'hrd-duty-letter-grid',
    'dataProvider'=>$model->search(),
    'filter'=>$model,
    'columns'=>array(
        //'duty_letter_id',
        'request_id',
        'duty_letter_number',
        'duty_letter_date',
        array(
            'name'=>'signed_by',
            'type'=>'raw',
            'value'=>'$data->employee->name',
            'filter'=>  CHtml::listData(HrdMEmployee::model()->findAll(array('order'=>'name ASC')),'employee_id','name'),
        ),
        array(
            'name'=>'status_id',
            'type'=>'raw',
            'value'=>'$data->status->status',
            'filter'=>  CHtml::listData(HrdStatus::model()->findAll(array('condition'=>'status_id in (4, 5)' ,'order'=>'status ASC')),'status_id','status'),
        ),
        //'depart_transport',

        //'return_transport',
        //'route_journey',
        //'hostelry',
        //'sppd_duration',
        //'status_id',
        //'task_shifting',
        //'created_by',
        //'created_date',
        //'created_ip',
        //'updated_by',
        //'updated_date',
        //'updated_ip',

        array(
            'class'=>'CButtonColumn',
            'header'=>'Action',
        ),
    ),
)); ?>
